package nckd.jimin.jyyy.fi.common.constant;

public interface PersonReimSyncTaskConstant extends BillConstant{

    /**
     * 单据标识
     */
    String ENTITYID = "nckd_personreimsynctask";
    /**
     * 同步人员
     */
    String KEY_NCKD_USER = "nckd_user";
    /**
     * 变更后组织
     */
    String KEY_NCKD_ORG = "nckd_org";

    /**
     * 变更前组织
     */
    String KEY_NCKD_ORG_PRE = "nckd_org_pre";
    /**
     * 变更后岗位
     */
    String KEY_NCKD_POSITIONHR = "nckd_positionhr";
    /**
     * 变更后职位
     */
    String KEY_NCKD_JOBLEVELHR = "nckd_joblevelhr";
    /**
     * 变更前岗位
     */
    String KEY_NCKD_POSITIONHR_PRE = "nckd_positionhr_pre";
    /**
     * 变更前职位
     */
    String KEY_NCKD_JOBLEVELHR_PRE = "nckd_joblevelhr_pre";
    /**
     * 个人额度同步状态
     */
    String KEY_NCKD_REIM_SYNCSTATUS = "nckd_reim_syncstatus";
    /**
     * 同步年
     */
    String KEY_NCKD_YEAR = "nckd_year";
    /**
     * 同步月
     */
    String KEY_NCKD_MONTH = "nckd_month";



    /**
     * 报销级别同步状态
     */
    String KEY_NCKD_SYNCSTATUS = "nckd_syncstatus";
    /**
     * 来源单据ID
     */
    String KEY_NCKD_SOURCEBILLID = "nckd_sourcebillid";

    interface NCKD_RECORDENTRY{
        String ENTITYID = "nckd_recordentry";

        /**
         * 同步时间
         */
        String KEY_NCKD_SYNC_DATE = "nckd_sync_date";
        /**
         * 是否成功
         */
        String KEY_NCKD_SYNC_ISSUCCESS = "nckd_sync_issuccess";
        /**
         * 同步信息
         */
        String KEY_NCKD_SYNC_MSG = "nckd_sync_msg";
        /**
         * traceid
         */
        String KEY_NCKD_TRACEID = "nckd_traceid";

        String KEY_NCKD_SYNCTYPE = "nckd_synctype";

    }

    interface OPERATE{

        /**
         * 同步个人额度表
         */
        String SYNCPERSONREIM = "syncpersonreim";

        /**
         * 同步差旅报销级别
         */
        String SYNCREIMLEVER = "syncreimlever";

    }
}
