package nckd.jimin.jyyy.fi.common.constant;

public interface ErReimBurseBillConstant extends BillConstant{

    String ENTITYID = "er_dailyreimbursebill";

    /**
     * 共享审核人
     */
    String KEY_NCKD_TASKAPPROVER = "nckd_taskapprover";
    /**
     * 交票人
     */
    String KEY_NCKD_HANDIN_PERSON = "nckd_handin_person";
    /**
     * 交票时间
     */
    String KEY_NCKD_HANDIN_DATE = "nckd_handin_date";
    /**
     * 收票人
     */
    String KEY_NCKD_RECEIPT_PERSON = "nckd_receipt_person";

    /**
     * 收票时间
     */
    String KEY_NCKD_RECEIPT_DATE = "nckd_receipt_date";

    /**
     * 快递单号
     */
    String KEY_NCKD_TRACKING_NUMBER = "nckd_tracking_number";

    String KEY_COMPANY = "company";

    /**
     * 页面样式ID，打开单据时展示的布局
     */
    String KEY_NCKD_PAGEID = "nckd_pageid";

    interface OPERATE{
        /**
         * 交票操作
         */
        String HANDIN_TICKET = "nckd_handin_ticket";

        /**
         * 收票操作
         */
        String RECEIVE_TICKET = "nckd_receive_ticket";

    }


}
