package nckd.jimin.jyyy.fi.plugin.operate.Helper;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 个人报销额度实体类
 */
public class PersonReimQuotaVO {
    
    /**
     * 用户ID
     */
    private Long userId;
    
    /**
     * 公司ID
     */
    private Long companyId;
    
    /**
     * 费用项目ID
     */
    private Long expenseItemId;
    
    /**
     * 币别ID
     */
    private Long currencyId;
    
    /**
     * 额度金额
     */
    private BigDecimal amount;
    
    /**
     * 年份
     */
    private int year;
    
    /**
     * 月份
     */
    private int month;
    
    /**
     * 来源单据ID
     */
    private String sourcebillid;

    public PersonReimQuotaVO(Long userId, Long companyId, Long expenseItemId, Long currencyId, BigDecimal amount) {
        this.userId = userId;
        this.companyId = companyId;
        this.expenseItemId = expenseItemId;
        this.currencyId = currencyId;
        this.amount = amount;
    }

    public PersonReimQuotaVO(Long userId, Long companyId, Long expenseItemId, Long currencyId, BigDecimal amount, int year, int month, String sourcebillid) {
        this.userId = userId;
        this.companyId = companyId;
        this.expenseItemId = expenseItemId;
        this.currencyId = currencyId;
        this.amount = amount;
        this.year = year;
        this.month = month;
        this.sourcebillid = sourcebillid;
    }
// Getters and Setters

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getExpenseItemId() {
        return expenseItemId;
    }

    public void setExpenseItemId(Long expenseItemId) {
        this.expenseItemId = expenseItemId;
    }

    public Long getCurrencyId() {
        return currencyId;
    }

    public void setCurrencyId(Long currencyId) {
        this.currencyId = currencyId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }

    public String getSourcebillid() {
        return sourcebillid;
    }

    public void setSourcebillid(String sourcebillid) {
        this.sourcebillid = sourcebillid;
    }
}